{% extends "base.html" %}
{% load avatar_tags %}
{% load static %}

{% block title %}MiCorr | {{ object.username }} User Profile{% endblock %}

{% block content %}
    <div class="col-lg-12">
        {% if object == request.user %}
            <div class="row">
                <div class="col-sm-6">
                    <h2>{{ object.username|capfirst }}</h2>
                </div>

                <div class="col-sm-6">
                    <div class="pull-right">
                        <br>
                        <a class="btn btn-primary" href="{% url 'users:update' %}">My Info</a>
                        <a class="btn btn-primary" href="{% url 'account_email' %}">E-Mail</a>
                        <a class="btn btn-info" href="{% url 'avatar_change' %}">Avatar</a>

                    </div>
                </div>
                <div class="col-sm-12">
                    <hr>
                </div>
            </div>

            <div class="row">
                <br><br>

                <div class="col-sm-4 ">
                    <a class="btn btn-success" href="{% url 'artefacts:searchStratigraphy' %}"><i class="fa fa-align-justify"></i> Create new stratigraphy</a>
                    <a class="btn btn-success" href="{% url 'artefacts:artefact-create' %}"><i class="fa fa-pencil"></i> Create new artefact</a>
                </div>
                <div class="col-sm-8">

                <div class="row">
                    <div class="col-sm-3">
                        {% if user_admin_type %}
                            <div class="pull-right">
                                <a class="btn btn-success" href="{% url 'artefacts:publication-administration-menu' %}"><i class="fa fa-wrench"></i>&nbsp;&nbsp;Administration</a>
                            </div>
                            <br><br>
                            {% if new_publication_requests != 0 %}
                                <div class="pull-right">
                                        <div class="notifComm mb-3">
                                            <b style="color: #E30000">{{ new_publication_requests }}</b> unanswered request{{ new_publication_requests | pluralize }}
                                        </div>
                                </div>
                            {% endif %}
                        {% endif %}
                    </div>
                    <div class="col-sm-3">
                        <div class="pull-right">
                             <a class="btn btn-success" href="{% url 'artefacts:publication-menu' %}"><i class="fa fa-file-text"></i>&nbsp;&nbsp;Publication</a>
                        </div>
                        <br><br>
                        {% if new_publications != 0 %}
                            <div class="pull-right">
                                    <div class="notifComm">
                                        <b style="color: #E30000">{{ new_publications }}</b> new decision{{ new_publications|pluralize }}
                                    </div>
                            </div>
                        {% endif %}
                    </div>
                    <div class="col-sm-3">
                        <div class="pull-right">
                            <a class="btn btn-success" href="{% url 'artefacts:collaboration-menu' %}"><i class="fa fa-users"></i>&nbsp;&nbsp;Collaboration</a>
                        </div>
                        <br><br>
                        {% if new_comments_shared != 0 %}
                            <div class="pull-right">
                                   <div class="notifComm">
                                       <b style="color: #E30000">{{ new_comments_shared }}</b> new comment{{ new_comments_shared|pluralize }}
                                   </div>
                            </div>
                        {% endif %}
                        {% if new_tokens_received != 0 %}
                            {% if new_comments_shared != 0 %}
                                <br>
                            {% else %}
                                <br><br>
                            {% endif %}
                            <div class="pull-right">
                                    <div class="notifComm">
                                        <b style="color: green">{{ new_tokens_received }}</b> new collaboration{{ new_tokens_received|pluralize }}
                                    </div>
                            </div>
                        {% endif %}
                    </div>
                </div>
                    <div class="row mb-3">
                    <div class="col-sm-3">
                        {% if user_admin_type %}
                            <div class="pull-right">
                                <a class="btn btn-success" href="{% url 'reviews:app' %}/editor"><i class="fa fa-file-pdf-o"></i>&nbsp;Editor Reviews</a>
                            </div>
                            <br><br>
                            {% if new_editor_reviews %}
                                <div class="pull-right">
                                        <div class="notifComm">
                                            <b style="color: #E30000">{{ new_editor_reviews }}</b> pending request{{ new_editor_reviews|pluralize }}
                                        </div>
                                </div>
                            {% endif %}
                        {% endif %}
                    </div>
                    <div class="col-sm-3">
                        {% if new_peer_reviews %}
                            <div class="pull-right">
                                <a class="btn btn-success" href="{% url 'reviews:app' %}/reviewer"><i
                                        class="fa fa-file-text"></i>&nbsp;Peer Reviews</a>
                            </div>
                            <br><br>
                            <div class="pull-right">
                                <div class="notifComm">
                                    <b style="color: #E30000">{{ new_peer_reviews }}</b> review request{{ new_peer_reviews|pluralize }}
                                </div>
                            </div>

                        {% endif %}
                    </div>
                </div>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-12 ">
                    <div class="panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <div id="menuStratigraphies" onclick="menuCollapse('Stratigraphies')">
                                        <a data-toggle="collapse" href="#stratigraphies">
                                            <span class="glyphicon glyphicon-plus"></span>
                                            Stratigraphies
                                        </a>
                                    </div>
                                </h4>
                            </div>
                            <div id="stratigraphies" class="panel-collapse collapse">
                                {% if stratigraphies %}
                                    <table id="stratigraphies_table" class="table table-bordered table-striped table-hover">
                                        <thead>
                                            <tr>
                                                <th>Date</th>
                                                {% for observation in observations %}
                                                <th>{{observation.name}}</th>
                                                {% endfor %}
                                                <th>Description</th>
                                                <th>Origin (site/object)</th>
                                                <th>City</th>
                                                <th>Country</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        {% for stratigraphy in stratigraphies %}
                                            <tr>
                                                <td>{% if stratigraphy.timestamp %}
                                                    {{ stratigraphy.timestamp }}{% else %}
                                                    {{ stratigraphy.date|date:"Y/m/d" }}{% endif %}</td>
                                                {% for obs in observations %}
                                                <td>
                                                    <a href="/micorr/#/stratigraphy/{{ stratigraphy.uid }}?observationMode={{ obs.observationMode }}&colourFamily={{ obs.colourFamily }}"
                                                       target="_blank">
                                                        <img src="{{ node_base_url }}getStratigraphySvg?name={{ stratigraphy.uid }}&width=100&observationMode={{ obs.observationMode }}&colourFamily={{ obs.colourFamily }}">
                                                    </a>
                                                </td>
                                                {% endfor %}
                                                <td>
                                                    <span class="editable"
                                                          data-url="{% url 'stratigraphies:update-description' stratigraphy.uid %}"
                                                          data-attribute="description"
                                                          data-activator="#edit-{{ stratigraphy.uid }}">{{ stratigraphy.description }}</span>
                                                </td>
                                             <td>{{ stratigraphy.origin.site }}</td>
                                                <td>{{ stratigraphy.origin.city.name }}</td>
                                                <td>{{ stratigraphy.origin.city.country }}</td>
                                                <td>
                                                    {% if user.id == stratigraphy.user.id %}
                                                        <span id="edit-{{ stratigraphy.uid }}" class="button" onmouseover="this.style.cursor='pointer'"><i class="fa fa-pencil"></i></span> |
                                                        <a href="{% url 'stratigraphies:create-share' stratigraphy.uid %}" target="_blank"> <i class="fa fa-share-alt"></i></a> |
                                                        <a href="{% url 'stratigraphies:delete-user' stratigraphy.uid %}" onclick="return confirm('Are you sure you want to delete this stratigraphy?')"><i class="fa fa-trash"></i></a>
                                                    {% else %}
                                                        <i class="fa fa-ban"> shared by <b>{{ stratigraphy.user.username }}</b>
                                                    {% endif %}
                                                </td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                {% else %}
                                    <p>There are no saved stratigraphies in your profile. Use the SAVE button to add
                                        stratigraphies to your profile.</p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <div id="menuArtefacts" onclick="menuCollapse('Artefacts')">
                                        <a data-toggle="collapse" href="#artefacts">
                                            <span class="glyphicon glyphicon-plus"></span>
                                            Artefacts
                                        </a>
                                    </div>
                                </h4>
                            </div>
                            <div id="artefacts" class="panel-collapse collapse">
                                {% if objects %}
                                    <table id="objects_table" class="table table-bordered table-striped table-hover">
                                        <thead>
                                            <tr>
                                                <th>Date</th>
                                                <th>Name</th>
                                                <th>Origin (site/object)</th>
                                                <th>City</th>
                                                <th>Country</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                    {% for object in objects %}
                                        <tr>
                                         <td>
                                            {{ object.modified }}
                                        </td>
                                        <td>
                                            <div class="panel-heading" style="background-color: #E4E5E5">
                                            <h4 class="panel-title">
                                                <div id="object{{ forloop.counter }}" onclick="objectCollapse({{ forloop.counter }})">
                                                    <a data-toggle="collapse" href="#artefacts_card{{ object.id }}">
                                                        <span class="glyphicon glyphicon-plus"></span>
                                                        {{ object.name }}
                                                    </a>
                                                </div>
                                            </h4>
                                        </div>

                                        <div id="artefacts_card{{ object.id }}" class="panel-collapse collapse">
                                            <table class="table table-bordered table-striped table-hover">
                                                {% if artefacts %}
                                                    <tr>
                                                        <th>Created</th>
                                                        <th>Last modified</th>
                                                        <th>Actions</th>
                                                        <th>Share</th>
                                                        <th>Validated / Published</th>
                                                    </tr>

                                                    {% for artefact in artefacts %}
                                                        <!-- Display only the developed version of the artefact -->
                                                        {% if artefact.object.id == object.id and not artefact.parent %}
                                                            <tr>
                                                            <td>{{ artefact.created }} </td>
                                                            <td>{{ artefact.modified }} </td>
                                                            <td>
                                                                <a href="{% url 'artefacts:artefact-update' artefact.id %}"><i
                                                                        class="fa fa-pencil"></i></a> |
                                                                <a href="/artefacts/{{ artefact.id }}" target="_blank"><i class="fa fa-eye"></i></a>
                                                                |
                                                                <a href="/artefacts/{{ artefact.id }}/share/" target="_blank">
                                                                    <i class="fa fa-share-alt"></i></a>
                                                                |
                                                                <a href="{% url 'artefacts:artefact-delete' artefact.id %}"><i
                                                                        class="fa fa-trash"></i></a>
                                                            </td>
                                                            <td>
                                                                {% if artefact.token_set.all %}
                                                                    <a href="{% url 'artefacts:list_tokens' artefact.id %}" target="_blank">
                                                                        <span>{{ artefact.token_set.count }} link{{ artefact.token_set.count | pluralize }}</span>
                                                                    </a>
                                                                {% else %}
                                                                    <span>No link</span>
                                                                {% endif %}
                                                            </td>
                                                                <td>
                                                                    Working version&nbsp;&nbsp;|&nbsp;&nbsp;
                                                                    <a href="{% url 'artefacts:publication-create' pk=artefact.id %}" title="Send request for publication">
                                                                        <i class="fa fa-paper-plane"></i>
                                                                    </a>
                                                                </td>
                                                            </tr>
                                                        {% endif %}
                                                    {% endfor %}
                                                    {% for keyObj, value in published_artefact_for_object.items %}
                                                        {% if keyObj == object.id and value == True %}
                                                            <tr style="background-color: #f5f5f5">
                                                                <th colspan="5"><i>History of validated versions of the artefact</i></th>
                                                            </tr>
                                                            <tr>
                                                                <th>Created</th>
                                                                <th>Validation / Publication date</th>
                                                                <th>Action</th>
                                                                <th colspan="2">Validated / Published</th>
                                                            </tr>

                                                            {% for artefact in artefacts %}
                                                                <!-- Display published and validated versions of the artefact -->
                                                                {% if artefact.object.id == object.id and artefact.parent %}
                                                                    {% if artefact.validated %}
                                                                        <tr>
                                                                        <td>{{ artefact.created }} </td>
                                                                        <td>{{ artefact.modified }} </td>
                                                                        <td>
                                                                            <a href="/artefacts/{{ artefact.id }}" target="_blank"><i class="fa fa-eye"></i></a>
                                                                        </td>
                                                                        {% if artefact.published %}
                                                                            <td colspan="2">Published</td>
                                                                        {% else %}
                                                                            <td colspan="2">Validated </td>
                                                                        {% endif %}
                                                                        </tr>
                                                                    {% endif %}
                                                                {% endif %}
                                                            {% endfor %}
                                                        {% endif %}
                                                    {% endfor %}
                                                {% else %}
                                                    <p>There is no saved artefact card for this artefact.</p>
                                                {% endif %}
                                            </table>
                                        </div>
                                        </td>
                                      <td>{{ object.origin.site }}</td>
                                      <td>{{ object.origin.city.name }}</td>
                                      <td>{{ object.origin.city.country }}</td>
                                {% endfor %}
                                        </tbody>
                                    </table>

                                {% else %}
                                    <p>There are no saved artefacts in your profile. <a href="/#submit">Submit a new
                                        artefact</a> to
                                        create one</p>
                                {% endif %}
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- End Action buttons -->
        {% endif %}
    </div>
{% endblock content %}

{% block custom_bottom_script %}
    <script type="text/javascript">
        $(document).ready(function(){
        $('#stratigraphies_table').DataTable();
        $('#objects_table').DataTable();
        });

        function menuCollapse(name) {
            $('#menu'+name).find('span').toggleClass('glyphicon-plus').toggleClass('glyphicon-minus');
        }

        function objectCollapse(index) {
            $('#object'+index).find('span').toggleClass('glyphicon-plus').toggleClass('glyphicon-minus');
        }
    </script>
{% endblock %}
